# $Revision: 1.68.2.1 $, $Date: 2008-03-11 20:58:25 $
#
# TODO:
#	- description for oldnumeric
#
%define		module	numpy

Summary:	Python numerical facilities
Summary(pl.UTF-8):	Moduły do obliczeń numerycznych dla języka Python
Name:		python-%{module}
Version:	1.0.4
Release:	1
Epoch:		1
License:	distributable
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/numpy/%{module}-%{version}.tar.gz
# Source0-md5:	8f011e9d7697da570efaac61c51725e0
URL:		http://sourceforge.net/projects/numpy/
BuildRequires:	lapack-devel >= 3.1.1-2
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-libs
# -- dropped some time ago
Obsoletes:	python-numpy-Properties
# -- dropped some time ago, should have been released as separate package, but wasn't
Obsoletes:	python-numpy-kinds
# old subpackage, merged into main
Obsoletes:	python-numpy-FFT
# -- dropped during Numeric->numpy transition
Obsoletes:	python-numpy-MA
Obsoletes:	python-numpy-RNG
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NumPy is a collection of extension modules to provide high-performance
multidimensional numeric arrays to the Python programming language.

%description -l pl.UTF-8
Pakiet umożliwia wydajne obliczenia numeryczne na macierzach
wielowymiarowych.

%package devel
Summary:	C header files for numerical modules
Summary(pl.UTF-8):	Pliki nagłówkowe języka C modułów numerycznych
Group:		Development/Languages/Python
%pyrequires_eq	python-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
C header files for numerical modules.

%description devel -l pl.UTF-8
Pliki nagłówkowe języka C modułów numerycznych.

%package numarray
Summary:	Array manipulation and computations for python
Summary(pl.UTF-8):	Operacje i obliczenia na tablicach dla Pythona
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description numarray
Numarray provides array manipulation and computational capabilities
similar to those found in IDL, Matlab, or Octave. Using numarray, it
is possible to write many efficient numerical data processing
applications directly in Python without using any C, C++ or Fortran
code (as well as doing such analysis interactively within Python or
PyRAF). For algorithms that are not well suited for efficient
computation using array facilities it is possible to write C functions
(and eventually Fortran) that can read and write numarray arrays that
can be called from Python.

Numarray is a re-implementation of an older Python array module called
Numeric. In general its interface is very similar. It is mostly
backward compatible and will be becoming more so in future releases.

%description numarray -l pl.UTF-8
Numarray zapewnia narzędzia do operacji oraz obliczeń na tablicach
podobne do tych, jakie zapewniają IDL, Matlab czy Octave. Używając
numarray możliwe jest stworzenie bezpośrednio w Pythonie, nie używając
wstawek C, C++ czy fortranowych, wielu wydajnych aplikacji do
przetwarzania danych numerycznych. Dla algorytmów, które nie pracują
wydajnie z tablicami, możliwe jest napisanie funkcji C, które mogą
czytać i zapisywać tablice numarray, i które mogą być wywoływane z
poziomu Pythona.

Numarray jest ponowną implementacją starszego modułu Pythona -
Numeric. Interfejsy tych modułów są do siebie bardzo podobne. Numarray
jest w większości przypadków kompatybilny wstecz, a sytuacja poprawi
się w nowszych wersjach.

%package numarray-devel
Summary:	Header files for python-numarray
Summary(pl.UTF-8):	Pliki nagłówkowe dla python-numarray
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-numarray = %{epoch}:%{version}-%{release}

%description numarray-devel
Header files for python-numarray.

%description numarray-devel -l pl.UTF-8
Pliki nagłówkowe dla python-numarray.

%package oldnumeric
Summary:	Old numeric packages
Summary(pl.UTF-8):	Stare pakiety numeric
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description oldnumeric
Old numeric packages.

%description oldnumeric -l pl.UTF-8
Stare pakiety numeric.

%package -n f2py
Summary:	Fortran to Python interface generator
Summary(pl.UTF-8):	Generator interfejsów z Fortranu do Pythona
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n f2py
Fortran to Python interface generator.

%description -n f2py -l pl.UTF-8
Generator interfejsów z Fortranu do Pythona.

%prep
%setup -q -n %{module}-%{version}

%build
CC="%{__cc}"; export CC
CFLAGS="%{rpmcflags}"; export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/{*.txt,COMPATIBILITY,scipy_compatibility,doc}
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/*/{tests,docs}
# already in f2py package
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/f2py/f2py.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%{py_sitedir}/%{module}/tests
%dir %{py_sitedir}/%{module}/core
%{py_sitedir}/%{module}/core/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/core/*.so
%dir %{py_sitedir}/%{module}/distutils
%{py_sitedir}/%{module}/distutils/*.py[co]
#%{py_sitedir}/%{module}/distutils/site.cfg
%dir %{py_sitedir}/%{module}/distutils/command
%{py_sitedir}/%{module}/distutils/command/*.py[co]
%dir %{py_sitedir}/%{module}/distutils/fcompiler
%{py_sitedir}/%{module}/distutils/fcompiler/*.py[co]
%dir %{py_sitedir}/%{module}/fft
%attr(755,root,root) %{py_sitedir}/%{module}/fft/*.so
%{py_sitedir}/%{module}/fft/*.py[co]
%dir %{py_sitedir}/%{module}/lib
%{py_sitedir}/%{module}/lib/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/lib/*.so
%dir %{py_sitedir}/%{module}/linalg
%{py_sitedir}/%{module}/linalg/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/linalg/*.so
%dir %{py_sitedir}/%{module}/random
%{py_sitedir}/%{module}/random/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/random/*.so
%dir %{py_sitedir}/%{module}/testing
%{py_sitedir}/%{module}/testing/*.py[co]

%files devel
%defattr(644,root,root,755)
%{py_sitedir}/%{module}/core/include
%{py_sitedir}/%{module}/random/*.h

%files numarray
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{module}/numarray
%attr(755,root,root) %{py_sitedir}/%{module}/numarray/*.so
%{py_sitedir}/%{module}/numarray/*.py[co]

%files numarray-devel
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{module}/numarray/numpy
%{py_sitedir}/%{module}/numarray/numpy/*

%files oldnumeric
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{module}/oldnumeric
%{py_sitedir}/%{module}/oldnumeric/*

%files -n f2py
%defattr(644,root,root,755)
%attr(744,root,root) %{_bindir}/f2py
%dir %{py_sitedir}/%{module}/f2py
%{py_sitedir}/%{module}/f2py/*.py[co]
%{py_sitedir}/%{module}/f2py/src
%{py_sitedir}/%{module}/f2py/lib

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-numpy.spec,v $
Revision 1.68.2.1  2008-03-11 20:58:25  glen
- 1.0.4 to AC

Revision 1.68  2007-12-16 15:05:33  rotom
- up to 1.0.4

Revision 1.67  2007/10/22 14:32:10  wolvverine
- up to 1.0.3.1

Revision 1.66  2007/08/07 16:14:08  wrobell
- fixed build requirements
- rel. 1

Revision 1.65  2007/07/08 20:00:59  qboosh
- FFT merged into main, as it's required by main __init__.py
- dropped numarray Provides
- removed f2py Provides from main - f2py is a separate package now

Revision 1.64  2007/06/16 10:04:30  qboosh
- package .egg-info for python 2.5
- numarray Provides moved to -numarray (but what for? it provides numpy.numarray, not numarray)
- added missing internal deps

Revision 1.63  2007/06/14 23:03:19  wrobell
- ver. 1.0.3 (note: obsoletes numeric and numarray, see the webpage)

Revision 1.62  2007/04/22 20:58:55  rotom
- up to 1.0.2

Revision 1.61  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.60  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.59  2007/02/10 21:22:48  rotom
- up to 1.0.1
- now packed contains:
 - numarray
 - numeric
 - Fortran to Python interface generator (f2py)

Revision 1.58  2006/11/20 23:59:07  arekm
- up to final 1.0

Revision 1.57  2006/11/14 01:34:27  wolf
- cosmetics

Revision 1.56  2006/10/08 12:25:10  qboosh
- tabs, pl for oldnumeric, -numarray-devel deps

Revision 1.55  2006/09/30 23:07:49  arekm
- rel .2

Revision 1.54  2006/09/23 11:02:25  rotom
- up to 1.0rc1
- numarray module added
- probobly python-numarray.spec to rm

Revision 1.53  2006/07/17 14:43:05  qboosh
- switched to new numpy package, updated to 0.9.8
  old one (Numeric) moved to python-Numeric.spec

Revision 1.52  2006/07/17 12:11:09  qboosh
- missing dir

Revision 1.51  2006/02/10 23:43:31  qboosh
- removed obsolete lite patch

Revision 1.50  2006/02/09 13:11:40  rotom
- up to 24.2

Revision 1.49  2005/05/11 17:33:27  pluto
- release 2 for Th.

Revision 1.48  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.47  2005/02/07 20:08:22  troll
- updated to 23.7
- old URL is no longer valid

Revision 1.46  2004/12/23 11:25:17  saq
- release 1

Revision 1.45  2004/12/22 08:05:10  qboosh
- use python-{libs,devel} deps, release 0.2

Revision 1.44  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.43  2004/10/26 23:31:36  qboosh
- updated to 23.6, added lite patch to use lite lapack libs again

Revision 1.42  2004/10/14 09:13:01  qboosh
- strict internal deps

Revision 1.41  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.40  2003/11/03 00:33:53  arekm
- updated to 23.1

Revision 1.39  2003/07/24 15:53:02  qboosh
- kinds and PropertiesClasses have been removed

Revision 1.38  2003/07/23 07:58:18  wiget
- md5

Revision 1.37  2003/07/23 07:43:49  wiget
- updated to 23.0

Revision 1.36  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.33  2002/12/02 22:08:48  ankry
- pl Summary/description fixes
- adapterized

Revision 1.32  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.31  2002/04/11 13:58:38  wrobell
- rel. 4, stb

Revision 1.30  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.29  2002/03/20 11:04:10  wrobell
- fixed devel subpackage group
- rel. 3
- stb

Revision 1.28  2002/03/20 08:26:06  filon
- groups changed to Libraies/Python (back up wrobbel's change)
- release 2

Revision 1.27  2002/03/19 23:56:01  filon
- updated to 21.0
- location of submodules has changed

Revision 1.25  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.22  2002/02/04 03:17:22  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.21  2002/01/25 22:11:54  misiek
- updated to 20.3

Revision 1.20  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/24 01:36:40  kloczek
- cosmetics.

Revision 1.18  2001/11/12 17:34:14  wrobell
- use py_incdir macro for python includes

Revision 1.17  2001/11/12 09:43:43  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.16  2001/11/11 19:07:13  wrobell
- use standard python macros

Revision 1.15  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.14  2001/11/01 11:19:11  wrobell
- ver. 20.2.0
- use CFLAGS

Revision 1.13  2001/09/08 19:45:21  kloczek
- release 2: rebuild.

Revision 1.12  2001/08/23 14:07:35  wrobell
- version 20.1.0
- rebuilded with python 2.1.1
- stb

Revision 1.11  2001/07/03 17:24:22  kloczek
- cut %changelog.

Revision 1.10  2001/07/03 17:14:02  wrobell
- spec contains all descriptions with pl translations
- stb

Revision 1.9  2001/07/02 17:25:03  wrobell
- fixed requires
- added summaries and descriptions with pl translations

Revision 1.8  2001/06/22 13:29:23  wrobell
- pl translations added for main package
- summary and descriptions with pl translation for devel subpackage

Revision 1.7  2001/05/31 17:00:12  wrobell
- simplified file list

Revision 1.6  2001/05/31 11:29:46  wrobell
- updated for 20.1.0a3
- builds with Python 2.1

Revision 1.5  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.1  1999/11/02 12:59:02  baggins
- rename

Revision 1.6  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
